#stdlib Makefile
CC=sh3eb-elf-gcc
AS=sh3eb-elf-as
AR=sh3eb-elf-ar

CFLAGS=-Wall -I../../include

BUILD=../build/
SRC_S= malloc.S free.S calloc.S realloc.S
SRC_C= test.c

OBJ= $(SRC:.c=.o) $(SRC_S:.S=.o)
#OBJ=$(addprefix $(BUILD), $(OBJ))

stdlib: $(OBJ)
	mv $(OBJ) ../build

%.o: %.c
	$(CC) -o $@ -c $< $(CFLAGS)

%.o: %.S
	$(CC) -o $@ -c $< $(CFLAGS)

	
